Release Notes 2026-10-27
APIs updated: Accounts, Contribution Limits, Deposits, Payments, Settlements, Withdrawals
Breaking changes in this release: None. All changes are additive; no existing field, value, or behavior is removed or renamed. See what counts as breaking.
Deprecations in this release: margin.bodDTBP, margin.rtExcessEquity
Note on enum values: Treat enum values as an open set so unrecognized values are handled gracefully.
The DriveWealth platform is periodically updated with new API features, additional
documentation, and fixes for known issues. These release notes document these updates
with new notes at every release of an updated API or new API.
Subscribe to the DriveWealth Changelog RSS feed. Click below to copy the feed link directly to your clipboard.
New
-
Accounts · Non-breaking — Added field
margin.maintenanceExcessto responses.- Affected endpoints:
GET /accounts/{accountID}/summary,GET /accounts/{accountID}/summary/margin
- Affected endpoints:
-
Settlements · Non-breaking — Added fields
amounts.purchasesOptionsandamounts.salesOptionsto responses.
Now generally available
-
Contribution Limits · Non-breaking — Enum value
CORRECTIVE_DEPOSITofcontributionTypeis now generally available.- Affected endpoints:
GET /users/USERID/annual-contribution-tally
- Affected endpoints:
-
Deposits, Payments · Non-breaking — Enum values
AD,AF,AT,RB,RF, andRLofiraContributionSubTypeand enum valueCORRECTIVE_DEPOSITofiraContributionare now generally available.
Deprecated
-
Accounts · Non-breaking —
margin.bodDTBPis deprecated. Retirement date: TBD.- Affected endpoints:
GET /accounts/{accountID}/summary,GET /accounts/{accountID}/summary/margin
- Affected endpoints:
-
Accounts · Non-breaking —
margin.rtExcessEquityis deprecated. UsemaintenanceExcessinstead. Retirement date: TBD.- Affected endpoints:
GET /accounts/{accountID}/summary,GET /accounts/{accountID}/summary/margin
- Affected endpoints:
Documentation
-
Accounts · Non-breaking — Updated the descriptions of
equityRequired,accruedInterest,patternDayTrader,restricted,daySMA,effectiveSMA,noBuyingPowerReason, andmarginCall.- Affected endpoints:
GET /accounts/{accountID}/summary,GET /accounts/{accountID}/summary/margin
- Affected endpoints:
-
Withdrawals · Non-breaking — Updated the description of
amount.- Affected endpoints:
POST /funding/redemptions
- Affected endpoints: